CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

calibre-smtp [options] [from to text]

Send mail using the SMTP protocol. calibre-smtp has two modes of operation. In the compose mode you specify from to and text and these are used to build and send an email message. In the filter mode, calibre-smtp reads a complete email message from STDIN and sends it.

text is the body of the email message. If text is not specified, a complete email message is read from STDIN. from is the email address of the sender and to is the email address of the recipient. When a complete email is read from STDIN, from and to are only used in the SMTP negotiation, the message headers are not modified.

Sempre que passar argumentos para o calibre-smtp que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

--fork, -f
    Criar um processo separado e entregar a mensagem nesse processo de segundo plano. Se usar esta opção, deve também usar --outbox para lidar com as eventuais falhas de entrega.

--help, -h
    mostrar esta mensagem de ajuda e sair

--localhost, -l
    Nome do anfitrião local. Usado quando se efetua a ligação ao servidor de SMTP.

--outbox, -o
    Caminho para o diretório maildir onde são armazenadas as mensagens de email que falharam.

--timeout, -t
    Ultrapassado o tempo para a ligação

--verbose, -v
    Seja mais detalhado

--version
    mostrar o número da versão do programa e sair

  COMPOSE MAIL

Opções para compor um email. Ignorado se o texto não for especificado

--attachment, -a
    Ficheiro para anexar ao email

--subject, -s
    Assunto do email

  SMTP RELAY

Opções para usar um servidor de SMTP intermediário para enviar correio eletrónico. O Calibre tenta enviar o email diretamente a menos que a opção --relay seja especificada.

--cafile
    Caminho para um ficheiro contendo certificados CA concatenados no formato PEM. Usado para verificar o certificado do servidor quando se usa TLS. Por omissão, é usado o certificado CA do sistema.

--dont-verify-server-certificate
    Não efetuar a verificação do certificado do servidor quando se usa ligações com TLS. Tal costumava ser o comportamento por omissão nas versões do Calibre anteriores à 3.27. Se estiver a usar um servidor intermediário que tenha um certificado auto-assinado ou inválido por qualquer outra razão, pode usar esta opção para obter o comportamento habitual das versões anteriores à 3.27

--encryption-method, -e
    Método de encriptação a usar aquando da ligação ao intermediário. Escolhas possíveis são TLS, SSL e NONE. A predefinição é o uso de TLS. Escolher NONE é extremamente inseguro.

--password, -p
    Senha para retransmissão

--port
    Porta TCP para ligação ao servidor intermediário. Por omissão é usada a porta 465 se o método de encriptação for SSL, ou a porta 25 nos restantes casos.

--relay, -r
    Um servidor intermediário de SMTP usado para enviar correio eletrónico.

--username, -u
    Nome de utilizador para retransmissão

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal